Skip to main content
POST
Confirm Guarantee
The Guarantee Decision feature introduces a new step in the Guaranteed EFT flow, allowing clients to explicitly accept or reject a guarantee before completing a session. This provides better control and transparency in the payment guarantee process for the client. To successfully call this endpoint, you must have a valid access token from the /Authorize endpoint.

Implementation Notes

This endpoint should ideally be used in association with our webhook system. Once a new guarantee is emitted, the system sends a webhook event to the url configured. (please, ask your Flinks representative for more details). Once the event is propagated to your system, you can then use this endpoint to share the decision on this session.

Guaranteee Confirmation Behavior

If a webhook is configured for this event, after three unsuccessful attempt of delivery the event, the session automatically fails. If no webhook is configured, all emitted guarantee are always considered as auto accepted by the client.

The Guarantee Offer

Before calling this endpoint, the client receives a guarantee offer to review. It is delivered through the guarantee webhook event and is also available from Get Session Details in the guaranteeDetails object. The client evaluates this offer, then accepts or rejects it through this endpoint.

Guarantee Offer Fields

  • guaranteeOffered = whether a guarantee is being offered for this session
  • guaranteeAccepted = null until the client answers through this endpoint
  • highestDebitAmountToGuarantee = the maximum amount that can be guaranteed (for Partial or Minimal types this can be lower than the requested amount)
  • guaranteedEftType = one of Full, Partial, or Minimal
  • overallRiskLevel, transactionRiskLevel, userRiskLevel, otherRiskLevel = one of Unknown, Low, Medium, High, Low_Medium, or Medium_High
  • userDetails.matchingPerformed and userDetails.nameMatch = whether identity name-matching ran and the resulting match score

Request Example

Response

Response Fields

  • sessionId: Unique session identifier for the terminated session
  • referenceId: optional information given during the session initiation

Error Responses

Session Not Found

Authentication Required

Authorizations

Authorization
string
header
required

Bearer token obtained from /api/v1/authorize endpoint

Headers

Authorization
string
required

Bearer token received from /authorize endpoint.

Pattern: ^Bearer .+

Path Parameters

sessionId
string<uuid>
required

Unique session identifier obtained from session creation.

Body

application/json
guaranteeAccepted
boolean
required

true to accept the guarantee, false to reject it.

Example:

true

Response

Guarantee decision recorded successfully

sessionId
string<uuid>

Unique session identifier.

Example:

"86095db9-7cb4-4121-a6ca-9d64368c6463"

referenceId
string

Reference ID provided during session creation (if any).

Example:

"d858dd37-3e98-4e00-accc-5f54b1d8c369"